apiVersion: apps/v1
kind: Deployment
metadata:
  name: {{ .Release.Name }}-creation-wizard-api-validation
  labels:
    app: sd-api-validation
spec:
  replicas: 1
  selector:
    matchLabels:
      app: sd-api-validation
  template:
    metadata:
      labels:
        app: sd-api-validation
    spec:
      serviceAccountName: {{ if .Values.serviceAccount }}{{ .Values.serviceAccount.name | default .Release.Name }}{{ else }}{{ .Release.Name }}{{ end }}
      containers:
        - name: {{ .Chart.Name }}-api-validation
          image: {{ .Values.image.repository }}:{{ .Values.image.tag }}
          imagePullPolicy: {{ .Values.pullPolicy }}
          ports:
            - containerPort: {{ .Values.creationWizardApiValidationContainerPort }}
          env:
            - name: OPENAPI_CONFIG_SERVERS
              value: {{ .Values.openapiConfig.servers | quote }}
                
          resources: {{ toYaml .Values.resources | nindent 12 }}

          livenessProbe:
            httpGet:
              path: /actuator/health/liveness
              port: {{ .Values.creationWizardApiValidationContainerPort }}
              httpHeaders:
                - name: Accept
                  value: application/json
            initialDelaySeconds: 30
            periodSeconds: 10
            timeoutSeconds: 2
            failureThreshold: 3

          readinessProbe:
            httpGet:
              path: /actuator/health/readiness
              port: {{ .Values.creationWizardApiValidationContainerPort }}
              httpHeaders:
                - name: Accept
                  value: application/json
            initialDelaySeconds: 30
            periodSeconds: 10
            timeoutSeconds: 2
            failureThreshold: 3
